Add item to the poll set

- « ZMQPoll

- ZMQPoll::clear »

- PHP Manual
- ZMQPoll
- Add item to the poll set

# ZMQPoll::add

(PECL zmq >= 0.5.0)

ZMQPoll::add — Add item to the poll set

### Description

public ZMQPoll::add(mixed `$entry`, int `$type`): string

Adds a new item to the poll set and returns the internal id of the added item. The item can be removed from the poll set using the returned string id.

### Parameters

`entry`

  ZMQSocket object or a PHP stream resource

`type`

  Defines what activity the socket is polled for. See `ZMQ::POLL_IN` and `ZMQ::POLL_OUT` constants.

### Return Values

Returns a string id of the added item which can be later used to remove the item. Throws ZMQPollException on error.